2016年01月26日

遠山の金さん

中村梅之助さん、18日に亡くなっていたんですね。
謹んでご冥福をお祈りいたします。

幼少の頃、遠山の金さん見てたんですよ(親父が見てたので)。
結構、夢中になって見てたなぁ。


その後、いろんな俳優さんが金さんを演じてるんですね。
わたすは、橋幸夫、杉良太郎、高橋英樹の金さんが記憶にあります。

そういや、伝七捕物帳も見てたなぁ。
「よよよい、よよよい、よよよいよい、目出度ぇなぁ」なんて決め台詞、まねしたなぁ。


いい時代だったなぁ。
今、大河以外には時代劇ってやってないですよね。
お笑いバラエティー削って時代劇やってくんないかな、とか思ってる人って少ないんだろーなー。


posted by NERDY at 18:44 | Comment(0) | 日記 | このブログの読者になる | 更新情報をチェックする

2016年01月22日

激安タイヤの履き心地

そー言えば、秋の車検時に激安タイヤを履いたので、使用感を書くとか言っていたのですた。
HIFLY HF805っていうやつです。
基本街乗りのみで、たまーに高速乗ったりします。
そんなわたすの感想ですが、なーんも不都合ございません。
有名ブランドメーカの6〜7分の一の価格ですが、ぜーんぜん問題ありません!
まぁ、走り屋さんとかだと、違った感想になるのかもしれませんが。
あくまで、わたすの私感でございますた。
ちなみに、下は金城リリさんというかたで、去年のオートサロンでの写真のようです。
むっちゃかわええ!!
riri.jpg
続きを読む
posted by NERDY at 12:30 | Comment(0) | 日記 | このブログの読者になる | 更新情報をチェックする

2016年01月18日

ClamAV kitting On Ubuntu

Ubuntu にアンチウィルスソフトを入れようと思ったのですね。
で、フリーのものを探した訳で。

ClamTK っつうGUIものを試してみますた。
こいつは、ClamAV というCUIのものをキックしてるんですが、ClamAVとの歩調がとれてないみたいで、ウィルス定義体のアップデートがうまく動いてくれません!
いろいろ、えろえろ悩んだ挙句、ClamAV 0.99(最新)をソースから入れてしまうことにしますた。

時間がないので、細かい説明は端折りますです。
以下、コンソールでの操作。
# groupadd clamav
# useradd -g clamav -s /bin/false clamav
# apt-get install libxml2-dev
# apt-get install libssl-dev
# apt-get install sysv-rc-conf
# apt-get install mailutils

mailutils のインストールでは、以下の画面が表示されますが、用途に合わせて適当に。
わたすは、スキャン結果に感染ファイルが見つかった場合、root 宛てにメールを入れるためと言う事で。
mailutils01.jpg

mailutils02.jpg

mailutils03.jpg

以下、コンソールでの操作。
# wget http://nchc.dl.sourceforge.net/sourceforge/clamav/clamav-0.99.tar.gz
# tar zxvf clamav-0.99.tar.gz
# cd clamav-0.99
# ./configure
# make
# make install
# /sbin/ldconfig
# cp /usr/local/etc/freshclam.conf.sample /usr/local/etc/freshclam.conf
# cp /usr/local/etc/clamd.conf.sample /usr/local/etc/clamd.conf
# gedit /usr/local/etc/freshclam.conf

以下、freshclam.conf の編集内容。
# Comment or remove the line below.
# Example -----> こいつをコメントアウト

# Path to the log file (make sure it has proper permissions)
# Default: disabled
UpdateLogFile /var/log/freshclam.log -----> こいつをコメントイン

# Maximum size of the log file.
# Value of 0 disables the limit.
# You may use 'M' or 'm' for megabytes (1M = 1m = 1048576 bytes)
# and 'K' or 'k' for kilobytes (1K = 1k = 1024 bytes).
# in bytes just don't use modifiers. If LogFileMaxSize is enabled,
# log rotation (the LogRotate option) will always be enabled.
# Default: 1M
LogFileMaxSize 2M -----> こいつをコメントイン

# Log time with each message.
# Default: no
LogTime yes -----> こいつをコメントイン

# Enable log rotation. Always enabled when LogFileMaxSize is enabled.
# Default: no
LogRotate yes -----> こいつをコメントイン

# database.clamav.net is a round-robin record which points to our most
# reliable mirrors. It's used as a fall back in case db.XY.clamav.net is
# not working. DO NOT TOUCH the following line unless you know what you
# are doing.
# DatabaseMirror database.clamav.net
DatabaseMirror db.jp.clamav.net -----> ウィルス定義体の取得元を日本に変更

# Send the RELOAD command to clamd.
# Default: no
#NotifyClamd /path/to/clamd.conf
NotifyClamd /usr/local/etc/clamd.conf -----> ウィルス定義体の更新をclamdに通知


# mkdir -p /usr/local/share/clamav
# chown clamav:clamav /usr/local/share/clamav
# touch /var/log/freshclam.log
# chown clamav:clamav /var/log/freshclam.log
# freshclam -----> ここで、ウィルス定義体が更新された旨のメッセージが出る筈!
# gedit /usr/local/etc/clamd.conf

以下、clamd.conf の編集内容。
# Comment or remove the line below.
# Example -----> コメントアウト

# Uncomment this option to enable logging.
# LogFile must be writable for the user running daemon.
# A full path is required.
# Default: disabled
# LogFile /tmp/clamd.log
LogFile /var/log/clamd.log -----> ログの設定

# Maximum size of the log file.
# Value of 0 disables the limit.
# You may use 'M' or 'm' for megabytes (1M = 1m = 1048576 bytes)
# and 'K' or 'k' for kilobytes (1K = 1k = 1024 bytes). To specify the size
# in bytes just don't use modifiers. If LogFileMaxSize is enabled, log
# rotation (the LogRotate option) will always be enabled.
# Default: 1M
LogFileMaxSize 2M ーーーーー> コメントイン

# Log time with each message.
# Default: no
LogTime yes ーーーーー> コメントイン

# Enable log rotation. Always enabled when LogFileMaxSize is enabled.
# Default: no
LogRotate yes ーーーーー> コメントイン

# Path to a local socket file the daemon will listen on.
# Default: disabled (must be specified by a user)
LocalSocket /tmp/clamd.socket ーーーーー> コメントイン

定義体の自動更新用ファイルを次の内容で作成。
#!/bin/sh
/usr/local/bin/freshclam --quiet

作成したファイルの配置。
# chmod 700 freshclam
# mv freshclam /etc/cron.hourly/

clamd をデーモン起動するためのファイルを作成。
#! /bin/bash
#
# crond Start/Stop the clam antivirus daemon.
#
# chkconfig: 2345 70 41
# description: clamd is a standard Linux/UNIX program that scans for Viruses.
# processname: clamd
# config: /usr/local/etc/clamd.conf
# pidfile: /var/lock/subsys/clamd
# Source function library.
#. /etc/init.d/functions
. /lib/lsb/init-functions
RETVAL=0
# See how we were called.
prog="clamd"
progdir="/usr/local/sbin"
# Source configuration
if [ -f /etc/sysconfig/$prog ] ; then
  . /etc/sysconfig/$prog
fi
start() {
  echo -n $"Starting $prog: "
  # Don't allow files larger than 20M to be created, to limit DoS
  # Needs to be large enough to extract the signature files
  # ulimit -f 20000
  # LANG= daemon $progdir/$prog
  LANG= start-stop-daemon --start --quiet --oknodo --exec $progdir/$prog
  RETVAL=$?
  echo
  [ $RETVAL -eq 0 ] && touch /var/lock/subsys/clamd
  return $RETVAL
}
stop() {
  echo -n $"Stopping $prog: "
  # Would be better to send QUIT first, then killproc if that fails
  # killproc $prog
  start-stop-daemon --stop --quiet --oknodo --retry 2 --exec $progdir/$prog
  RETVAL=$?
  echo
  [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/clamd
  return $RETVAL
}
rhstatus() {
  # status clamd
  status_of_proc $progdir/$prog $prog
}
restart() {
  stop
  start
}
reload() {
  echo -n $"Reloading clam daemon configuration: "
  # killproc clamd -HUP
  start-stop-daemon --stop --signal 1 --exec $progdir/$prog
  retval=$?
  echo
  return $RETVAL
}
case "$1" in
 start)
  start
  ;;
 stop)
  stop
  ;;
 restart)
  restart
  ;;
 reload)
  reload
  ;;
 status)
  rhstatus
  ;;
 condrestart)
  [ -f /var/lock/subsys/clamd ] && restart || :
  ;;
 *)
  echo $"Usage: $0 {start|stop|status|reload|restart|condrestart}"
  exit 1
esac
exit $?

作成したファイルの配置。
# chmod 700 clamd
# mv clamd /etc/init.d/

clamd のログローテート用ファイルの作成。
/var/log/clamd.log {
  sharedscripts
  postrotate
    /etc/rc.d/init.d/clamd restart > /dev/null || true
  endscript
}

作成したファイルの配置。
# chmod 700 clamd
# mv clamd /etc/logrotate.d/

freshclam のログローテート用ファイルの作成。
/var/log/freshclam.log {
  missingok
  notifempty
  create 644 clamav clamav
}

作成したファイルの配置。
# chmod 700 freshclam
# mv freshclam /etc/logrotate.d/

デーモンの自動起動設定その他。
# sysv-rc-conf clamd on
# mkdir /var/lock/subsys
# chmod 755 /var/lock/subsys

スキャン自動実行用ファイルの作成。
#!/bin/bash
PATH=/bin:/usr/bin:/usr/local/bin
# scan virus
CLAMSCANTMP=`mktemp`
clamdscan --remove / > $CLAMSCANTMP 2>&1
# virus detect message send
[ ! -z "$(grep FOUND$ $CLAMSCANTMP)" ] && \
grep FOUND$ $CLAMSCANTMP | mail -s "Virus Found in `hostname`" root
rm -f $CLAMSCANTMP

作成したファイルの配置。
# chmod 755 virusscan
# chown root:root virusscan
# mv virusscan /etc/cron.daily/

簡単な覚え書きを書いたつもりが、結構疲れますた。
ちなみに、初めのスキャン時は51の感染ファイル(テスト用)を拾います。
posted by NERDY at 17:05 | Comment(0) | 技術 | このブログの読者になる | 更新情報をチェックする
×

この広告は180日以上新しい記事の投稿がないブログに表示されております。